Skip to main content

Validate a FI to FI Customer Credit Transfer request

POST 

/v1/payaway/validate

ISO-20022 pacs.008 message. Synchronously validate FI to FI Customer Credit Transfer request. The validation logic applied by this endpoint is identical to the logic applied by the /v1/Payaway endpoint.

On success, a 204 response will be returned immediately.

On failure, a 400 response will be returned immediately with details of the validation failures.

The InstgAgt.FinInstnId.Othr.Id and InstdAgt.FinInstnId.Othr.Id properties must be populated with the RTGS.global Ids of the debtor participant and debtor's funds controller respectively.

The FIToFICstmrCdtTrf.CdtTrfTxInf[0].Purp field is required. Use Purp.Cd with one of the Realis Finance-supported ExternalPurpose1Code values (see the Cd field in the schema for the full list of 106 accepted codes), or Purp.Prtry for a proprietary code. Cd and Prtry are mutually exclusive.

The ultimate creditor must be a previously registered creditor. Provide the creditor's account alias id in the pacs.008: if the ultimate creditor is an individual, use FIToFICstmrCdtTrf.CdtTrfTxInf[0].Cdtr.Id.PrvtId.Othr[0].Id, otherwise use FIToFICstmrCdtTrf.CdtTrfTxInf[0].Cdtr.Id.OrgId.Othr[0].Id. Account identifiers must not exceed 35 characters.

Request​

Responses​

No Content